Name:           animal-sniffer
Version:        1.9
Release:        %mkrel 3
Summary:        Tools to assist verifying backward compatibility of Java classes

License:        MIT and ASL 2.0
URL:            http://mojo.codehaus.org/animal-sniffer/
Group:          Development/Java

Source0:        http://repo1.maven.org/maven2/org/codehaus/mojo/animal-sniffer-parent/%{version}/animal-sniffer-parent-%{version}-source-release.zip
Source2:        http://www.apache.org/licenses/LICENSE-2.0.txt

# this should be upstreamable
Patch2:         0003-Remove-catch-for-unthrown-PlexusConfigurationExcepti.patch

BuildArch:      noarch

BuildRequires:  maven-local
BuildRequires:  maven-enforcer-plugin
BuildRequires:  maven-invoker-plugin
BuildRequires:  maven-shade-plugin
BuildRequires:  maven-resources-plugin
BuildRequires:  maven-plugin-cobertura
BuildRequires:  maven-plugin-build-helper
BuildRequires:  mvn(org.apache.maven.plugins:maven-plugin-plugin)
BuildRequires:  plexus-containers-component-javadoc
BuildRequires:  mojo-parent
BuildRequires:  objectweb-asm4

Requires:       maven
Requires:       objectweb-asm4
Requires:       ant
Requires:       mojo-signatures

Requires:       java >= 1:1.6.0

%description
Tools to assist verifying that classes compiled with a newer JDK/API
are compatible with an older JDK/API

%package        javadoc
Summary:        API documentation for %{name}
Group:          Documentation
Requires:       jpackage-utils

%description    javadoc
%{summary}.

%prep
%setup -q -n %{name}-parent-%{version}
%patch2 -p1
cp %{SOURCE2} LICENSE
%pom_add_dep org.apache.maven:maven-compat animal-sniffer-enforcer-rule
%pom_add_dep org.apache.maven:maven-compat animal-sniffer-maven-plugin


%build
%mvn_build

%install
%mvn_install

# install shell script
%jpackage_script org.codehaus.mojo.animal_sniffer.Main "" "" %{name}/%{name} %{name} true

%files -f .mfiles
%doc LICENSE
%{_bindir}/%{name}
%dir %{_javadir}/%{name}

%files javadoc -f .mfiles-javadoc
%doc LICENSE




%changelog
* Tue Nov 26 2013 dmorgan <dmorgan> 1.9-3.mga4
+ Revision: 553583
- Fix BuildRequires

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Sun Sep 29 2013 dmorgan <dmorgan> 1.9-1.mga4
+ Revision: 488978
- New version

* Fri Jan 11 2013 umeabot <umeabot> 1.8-2.mga3
+ Revision: 345552
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 08 2012 dmorgan <dmorgan> 1.8-1.mga3
+ Revision: 327981
- New version
- Java Stack Mass Rebuild

* Fri Jan 06 2012 dmorgan <dmorgan> 1.7-2.mga2
+ Revision: 192628
- Disable P2, thrown exceptions
- New version 1.7
  Build with maven 3.x

* Tue Sep 06 2011 tv <tv> 1.7-1.mga2
+ Revision: 139170
- new release

* Wed Apr 27 2011 dmorgan <dmorgan> 1.6-9.mga1
+ Revision: 92219
- Rebuild after bootstrapping
- imported package animal-sniffer


* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Nov 22 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.6-6
- Fix main pom filename (Resolves rhbz#655786)

* Mon Oct 11 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.6-5
- Add mojo-signatures to Requires

* Fri Oct  1 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.6-4
- Remove jtidy depmap (not needed anymore)

* Fri Sep 17 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.6-3
- Add asm-all dependency to maven plugin
- Add jtidy depmap

* Fri Sep 17 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.6-2
- Un-comment mojo-parent BR forgotten from testing

* Mon Sep  6 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.6-1
- Initial version of the package

